package com.ruoyi.storageLocation.service.impl;

import com.ruoyi.storageLocation.domain.StorageLocation;
import com.ruoyi.storageLocation.mapper.StorageLocationMapper;
import com.ruoyi.storageLocation.service.StorageLocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 库位管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-02-28
 */
@Service
public class StorageLocationServiceImpl implements StorageLocationService
{
    @Autowired
    private StorageLocationMapper storageLocationMapper;

    /**
     * 获取库位信息
     * @param storageLocation
     * @return
     */
    @Override
    public List<StorageLocation> selectStorageLocationAList(StorageLocation storageLocation) {
        return storageLocationMapper.selectStorageLocationAList(storageLocation);
    }
    @Override
    public List<StorageLocation> selectStorageLocationBList(StorageLocation storageLocation) {
        return storageLocationMapper.selectStorageLocationBList(storageLocation);
    }
    @Override
    public List<StorageLocation> selectStorageLocationCList(StorageLocation storageLocation) {
        return storageLocationMapper.selectStorageLocationCList(storageLocation);
    }

    /**
     * 录入库位信息
     * @param storageLocation
     * @return
     */
    @Override
    public int addStorageLocation(StorageLocation storageLocation) {
        return storageLocationMapper.addStorageLocation(storageLocation);
    }
}
